チェーン アップグレードでは、bc-fips-1.0.x.BC-FIPS-Certified.jar ファイルの複数のインスタンスが作成され、その結果、更新前のプロセス中にアップグレードが失敗する。

問題

VMware Identity Manager にアップグレードしようとすると、次のエラー メッセージが表示され、アップグレードが中断します。

Please validate database permissions and try upgrade again 
The pre-update process failed, upgrade aborted.

原因

一連の VMware Identity Manager のアップグレードを実行すると、bc-fips-1.0.0.BC-FIPS-Certified.jar ファイルと bc-fips-1.0.1.BC-FIPS-Certified.jar ファイルが作成されることがあります。両方のファイルが同時に存在すると、アップグレードに失敗します。

解決方法

  1. /usr/local/horizon/jre-endorsed/ ディレクトリに移動します。
  2. bc-fips-1.0.0.BC-FIPS-Certified.jar ファイルと bc-fips-1.0.1.BC-FIPS-Certified.jar ファイルが存在する場合は、古いバージョンの bc-fips-1.0.0.BC-FIPS-Certified.jar を削除してから、アップグレードを再度実行します。